Bug 57527 - xscreensaver crashed kernel: mga oops
xscreensaver crashed kernel: mga oops
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks: screensaver
  Show dependency treegraph
 
Reported: 2001-12-14 16:24 EST by Pekka Savola
Modified: 2007-03-26 23:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 07:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mga oops (7.80 KB, text/plain)
2001-12-14 16:25 EST, Pekka Savola
no flags Details
still oops with 2.4.18-24 kernel XFree86-4.2.0.72 (6.76 KB, text/plain)
2003-03-12 05:21 EST, Ulrich Seidl
no flags Details

  None (edit)
Description Pekka Savola 2001-12-14 16:24:10 EST
Xscreensaver seemsed to freeze; mouse moved but keyboard would not react.

Sshing in worked.  Xscreensaver was using 99.9% of resources; perhaps a trigger here?
Killing it didn't help.

On kernel log, there was a crash dump (a few modules have been rebuilt, but I doubt that
affects mga in question); text attached.
Comment 1 Pekka Savola 2001-12-14 16:25:03 EST
Created attachment 40689 [details]
mga oops
Comment 2 Pekka Savola 2001-12-14 16:26:01 EST
Additional info:

$ /sbin/lsmod
Module                  Size  Used by
ide-cd                 27072   0 (autoclean)
cdrom                  28512   0 (autoclean) [ide-cd]
mga                   101216   2
agpgart                27584   3
epic100                12352   1
appletalk              20912   0 (autoclean)
ipx                    16448   0 (autoclean)
ipv6                  141952  -1
sb                      7888   0
sb_lib                 34704   0 [sb]
uart401                 6576   0 [sb_lib]
sound                  59680   0 [sb_lib uart401]
soundcore               4464   5 [sb_lib sound]
usb-uhci               21536   0 (unused)
usbcore                51712   1 [usb-uhci]
ext3                   64624   2
jbd                    40992   2 [ext3]

$ /sbin/lspci
00:00.0 Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
00:0a.0 Ethernet controller: Standard Microsystems Corp [SMC] 83C170QF (rev 06)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 04)
Comment 3 Mike A. Harris 2002-09-12 00:35:17 EDT
This problem is believed to be fixed now, and affected pretty much
all DRI enabled drivers.  Please test the latest rawhide X and
kernel either using the Red Hat Linux (Null) beta, or once the new
release of Red Hat Linux is completed and released.  After testing
this out with our latest kernel/X, please provide updated status, and
if the problem persists, please attach your X server log and config
file.

Most likely however, the problem will not occur in the lastest
packages.

Comment 4 Ulrich Seidl 2003-03-12 05:21:52 EST
Created attachment 90571 [details]
still oops with 2.4.18-24 kernel XFree86-4.2.0.72

The reported Bug occures again on Kernel 2.4.18-24 / RedHat 8.0
Comment 5 Arjan van de Ven 2003-03-12 06:36:28 EST
Tainted: PF

what kind of modules are you using ?
Comment 6 Mike A. Harris 2003-03-12 06:45:49 EST
Pekkas) Can you please update this report with your own current status
with the latest erratum kernel, etc.?
Comment 7 Pekka Savola 2003-03-12 06:52:42 EST
I do not recall seeing this recently, but will keep my eyes open.  Currently
running (RHL73):

kernel-2.4.18-19.7.x
XFree86-4.2.0-8

(kernel update is pending a reboot.)
Comment 8 Mike A. Harris 2003-03-12 07:39:16 EST
ulrich) While your oops report contains mga related bits, it does not
appear to be related to this particular bug report IMHO, and should be
considered a separate bug report.  Please file a new bug report in
bugzilla if you wish to have it tracked.  As Arjan noted however, your
kernel is flagged as tainted.  Before filing a new bug report to track
the oops issue, ensure that you are not using any 3rd party kernel
modules of any kind.

pekkas) Ok, I'm closing this as resolved in errata kernel for now then,
however if the problem recurs, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.